{
	"format_version": "1.20.80",
	"minecraft:block": {
		"description": {
			"identifier": "v360:sawmill",
			"menu_category": {
				"category": "items"
			},
			"traits": {
				"minecraft:placement_direction": {
					"enabled_states": [
						"minecraft:cardinal_direction"
					]
				}
			}
		},
		"permutations": [
			{
				"condition": "query.block_state('minecraft:cardinal_direction') == 'north' || query.block_state('minecraft:cardinal_direction') == 'south'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "query.block_state('minecraft:cardinal_direction') == 'west' || query.block_state('minecraft:cardinal_direction') == 'east'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			}
		],
		"components": {
			"minecraft:geometry": "geometry.sawmill",
			"minecraft:material_instances": {
				"up": {
					"texture": "sawmill_top",
					"render_method": "alpha_test"
				},
				"down": {
					"texture": "sawmill_bottom",
					"render_method": "alpha_test"
				},
				"north": {
					"texture": "sawmill_side",
					"render_method": "alpha_test"
				},
				"south": {
					"texture": "sawmill_side",
					"render_method": "alpha_test"
				},
				"west": {
					"texture": "sawmill_side_west",
					"render_method": "alpha_test"
				},
				"east": {
					"texture": "sawmill_side_east",
					"render_method": "alpha_test"
				}
			},
			"minecraft:selection_box": {
				"origin": [
					-6,
					0,
					-8
				],
				"size": [
					12,
					4,
					16
				]
			},
			"minecraft:collision_box": {
				"origin": [
					-6,
					0,
					-8
				],
				"size": [
					12,
					4,
					16
				]
			},
			"minecraft:destructible_by_mining": {
				"seconds_to_destroy": 17.5
			},
			"minecraft:destructible_by_explosion": {
				"explosion_resistance": 3.5
			},
			"minecraft:flammable": false,
			"minecraft:map_color": "#DDA885",
			"minecraft:loot": "loot_tables/empty.json",
			"minecraft:custom_components": [
				"v360:block_destroy"
			],
			"minecraft:crafting_table": {
				"grid_size": 1,
				"table_name": "Sawmill",
				"crafting_tags": [
					"sawmill"
				]
			},
			"tag:stone": {}
		}
	}
}